## jigsaw-generator 0.2.4

=== examples/Makefile ===
all:

clean:
	rm -f puzzle-*.pdf puzzle-*.tex puzzle-*.aux puzzle-*.log puzzle-*.md

=== debian/changelog ===
jigsaw-generator (0.2.4-1) unstable; urgency=medium

  * Update copyright file to include Eddy Petrișor (mentioned in
    appdirs.py, thanks to Thorsten Alteholz for spotting this)
  * Including missing runtime dependency on python3-yaml (Closes: #848216)

 -- Julian Gilbey <jdg@debian.org>  Thu, 15 Dec 2016 18:50:48 +0000

jigsaw-generator (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #842111)

 -- Julian Gilbey <jdg@debian.org>  Wed, 26 Oct 2016 12:00:38 +0100

=== debian/control ===
Source: jigsaw-generator
Section: education
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3, autotools-dev, autoconf, dh-autoreconf, texlive-latex-base, texlive-latex-extra, texlive-pictures
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.8
Homepage: https://github.com/juliangilbey/jigsaw-generator.git

Package: jigsaw-generator
Architecture: all
Depends: python3, python3-yaml, texlive-pictures, ${python3:Depends}, ${misc:Depends}
Description: Generate jigsaw and card sort activities for classroom use
 This software is designed to create Tarsia Formulator type
 mathematical jigsaws using LaTeX.  The puzzle data is stored in a YAML
 file, and the software turns it into a printable jigsaw.  This
 software makes it reasonably straightforward to create multiple
 jigsaw-style puzzles.

## jigsaw-generator 0.2.5

=== debian/changelog ===
jigsaw-generator (0.2.5-1) unstable; urgency=medium

  * New upstream version
  * Update Standards-Version, and move to debhelper v11

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Oct 2018 16:24:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: education
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3, autotools-dev, autoconf, dh-autoreconf, texlive-latex-base, texlive-latex-extra, texlive-pictures
+Build-Depends: debhelper (>= 11), dh-python, python3, texlive-latex-base, texlive-latex-extra, texlive-pictures
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://github.com/juliangilbey/jigsaw-generator.git
 
 Package: jigsaw-generator

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with python3,autoreconf

override_dh_auto_install:
	dh_auto_install
	rm -f debian/jigsaw-generator/usr/share/doc/jigsaw-generator/TODO
	rm -f debian/jigsaw-generator/usr/share/doc/jigsaw-generator/ChangeLog
	rm -f debian/jigsaw-generator/usr/share/doc/jigsaw-generator/COPYING

## jigsaw-generator 0.2.7

=== debian/changelog ===
jigsaw-generator (0.2.7-1) unstable; urgency=medium

  * New upstream version (fixes fatal regex error)

 -- Julian Gilbey <jdg@debian.org>  Mon, 08 Feb 2021 21:41:46 +0000

jigsaw-generator (0.2.6-1) unstable; urgency=medium

  * New upstream version
  * Update Standards-Version
  * Tweaks to debian/control and debian/rules

 -- Julian Gilbey <jdg@debian.org>  Thu, 28 Jan 2021 20:10:23 +0000

=== debian/control ===
Source: jigsaw-generator
Section: education
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-pictures
Build-Conflicts: autoconf2.13
Standards-Version: 4.5.1
Homepage: https://github.com/juliangilbey/jigsaw-generator.git

Package: jigsaw-generator
Architecture: all
Depends: python3-yaml,
         texlive-pictures,
         ${misc:Depends},
         ${python3:Depends}
Description: Generate jigsaw and card sort activities for classroom use
 This software is designed to create Tarsia Formulator type
 mathematical jigsaws using LaTeX.  The puzzle data is stored in a YAML
 file, and the software turns it into a printable jigsaw.  This
 software makes it reasonably straightforward to create multiple
 jigsaw-style puzzles.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
-#export DH_VERBOSE = 1
 
 %:
-	dh $@ --with python3,autoreconf
+	dh $@ --with autoreconf
 
 override_dh_auto_install:
 	dh_auto_install
